## konsole4 4.14.3

=== src/CMakeLists.txt ===
# cmake-options : -WITH_LibKonq=ON or OFF; default is ON
macro_optional_find_package(LibKonq)
macro_bool_to_01(LIBKONQ_FOUND HAVE_LIBKONQ)

macro_log_feature(LIBKONQ_FOUND "LibKonq"
  "Provides high-level file management functions"
  "https://projects.kde.org/projects/kde/applications/kde-baseapps"
  FALSE "" "Required for drag-n-drop menus")

if(HAVE_LIBKONQ)
  include_directories(${LIBKONQ_INCLUDE_DIR})
endif()

### Too many crashes/issues with detaching on MacOSX
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(ENABLE_DETACHING 0)
else()
  set(ENABLE_DETACHING 1)
endif()

### Handle DragonFlyBSD here instead of using __DragonFly__
IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
  set(HAVE_OS_DRAGONFLYBSD 1)
else()
  set(HAVE_OS_DRAGONFLYBSD 0)
endif()

include(CheckIncludeFiles)

configure_file(config-konsole.h.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/config-konsole.h)

### Tests
add_subdirectory(tests)

### Font Embedder and LineFont.h
option(KONSOLE_BUILD_FONTEMBEDDER "Konsole: build fontembedder executable" OFF)
option(KONSOLE_GENERATE_LINEFONT "Konsole: regenerate LineFont file" OFF)

### Use cmake -DKONSOLE_BUILD_FONTEMBEDDER or/and -DKONSOLE_GENERATE_LINEFONT=1
if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
  ### Font Embedder
  set(fontembedder_SRCS fontembedder.cpp)
  kde4_add_executable(fontembedder ${fontembedder_SRCS})
  target_link_libraries(fontembedder  ${KDE4_KIO_LIBS})

  ### Line graphics font
  ### The below cmake doesn't work; it might be possible to automate it
  ###   if LineFont.src has changed.  If automated, different OSes will
  ###   need to be handled.
  ###   If LineFont.h is needed to be recreated use:
  ###     fontembedder LineFont.src > LineFont.h
  #add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/LineFont.h
  #                   COMMAND ${CMAKE_CURRENT_BINARY_DIR}/fontembedder
  #                   ARGS ${CMAKE_SOURCE_DIR}/LineFont.src
  #                   DEPENDS ${CMAKE_SOURCE_DIR}/LineFont.src )
endif()

### Konsole source files shared between embedded terminal and main application
# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml

# Generate dbus .xml files; do not store .xml in source folder
qt4_generate_dbus_interface(Session.h org.kde.konsole.Session.xml OPTIONS -m)
qt4_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)

qt4_add_dbus_adaptor(sessionadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
                    Session.h
                    Konsole::Session)
qt4_add_dbus_adaptor(windowadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                    ViewManager.h
                    Konsole::ViewManager)

set(konsoleprivate_SRCS ${sessionadaptors_SRCS}
                        ${windowadaptors_SRCS}
                        BookmarkHandler.cpp
                        ColorScheme.cpp
                        ColorSchemeManager.cpp
                        ColorSchemeEditor.cpp
                        CopyInputDialog.cpp
                        EditProfileDialog.cpp
                        Emulation.cpp
                        Filter.cpp
                        History.cpp
                        HistorySizeDialog.cpp
                        HistorySizeWidget.cpp
                        IncrementalSearchBar.cpp
                        KeyBindingEditor.cpp
                        KeyboardTranslator.cpp
                        KeyboardTranslatorManager.cpp
                        ManageProfilesDialog.cpp
                        ProcessInfo.cpp
                        Profile.cpp
                        ProfileList.cpp
                        ProfileReader.cpp
                        ProfileWriter.cpp
                        ProfileManager.cpp
                        Pty.cpp
                        RenameTabDialog.cpp
                        RenameTabWidget.cpp
                        Screen.cpp
                        ScreenWindow.cpp
                        Session.cpp
                        SessionController.cpp
                        SessionManager.cpp
                        SessionListModel.cpp
                        ShellCommand.cpp
                        TabTitleFormatButton.cpp
                        TerminalCharacterDecoder.cpp
                        ExtendedCharTable.cpp
                        TerminalDisplay.cpp
                        TerminalDisplayAccessible.cpp
                        ViewContainer.cpp
                        ViewContainerTabBar.cpp
                        ViewManager.cpp
                        ViewProperties.cpp
                        ViewSplitter.cpp
                        Vt102Emulation.cpp
                        ZModemDialog.cpp
                        PrintOptions.cpp
                        konsole_wcwidth.cpp
                        WindowSystemInfo.cpp
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml)
set(konsole_LIBS ${KDE4_KPTY_LIBS}
                 ${KDE4_KIO_LIBS}
                 ${KDE4_KNOTIFYCONFIG_LIBS}
                 ${QT_QTXML_LIBRARY}
                 ${X11_LIBRARIES})

if(HAVE_LIBKONQ)
  set(konsole_LIBS ${konsole_LIBS} ${LIBKONQ_LIBRARY})
endif()

### Konsole Application

kde4_add_ui_files(konsoleprivate_SRCS ColorSchemeEditor.ui
                                      CopyInputDialog.ui
                                      EditProfileDialog.ui
                                      KeyBindingEditor.ui
                                      ManageProfilesDialog.ui
                                      RenameTabDialog.ui
                                      RenameTabWidget.ui
                                      HistorySizeDialog.ui
                                      HistorySizeWidget.ui
                                      PrintOptions.ui
                                      settings/GeneralSettings.ui
                                      settings/TabBarSettings.ui)

kde4_add_library(konsoleprivate SHARED ${konsoleprivate_SRCS})
target_link_libraries(konsoleprivate ${konsole_LIBS})
target_link_libraries(konsoleprivate LINK_INTERFACE_LIBRARIES ${konsole_LIBS})

set(konsole_KDEINIT_SRCS
   Application.cpp
   MainWindow.cpp
   main.cpp
   settings/GeneralSettings.cpp
   settings/TabBarSettings.cpp)

kde4_add_kcfg_files(konsole_KDEINIT_SRCS settings/KonsoleSettings.kcfgc)

kde4_add_app_icon(konsole_KDEINIT_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/utilities-terminal.png")

kde4_add_kdeinit_executable(konsole ${konsole_KDEINIT_SRCS})
target_link_libraries(kdeinit_konsole konsoleprivate)

install(TARGETS kdeinit_konsole konsole konsoleprivate
       ${INSTALL_TARGETS_DEFAULT_ARGS})

### Embedded Konsole KPart

set(konsolepart_PART_SRCS Part.cpp)

kde4_add_plugin(konsolepart WITH_PREFIX ${konsolepart_PART_SRCS})
set_target_properties(konsolepart PROPERTIES DEFINE_SYMBOL KONSOLE_PART)
target_link_libraries(konsolepart ${KDE4_KPARTS_LIBS} konsoleprivate)
install(TARGETS konsolepart  DESTINATION ${PLUGIN_INSTALL_DIR})

### konsoleprofile command-line tool
install(PROGRAMS konsoleprofile DESTINATION ${BIN_INSTALL_DIR})

=== data/updaters/CMakeLists.txt ===
install(FILES konsole.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.9.0-global-options.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.9.0-colorscheme-bold-key.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.10.0-remove-menuindex-from-profiles.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})

install(FILES konsole_remove_background_mode.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${KDE4_KPTY_INCLUDES}
                   ${KDE4_KPARTS_INCLUDES}
                   ${QT_QTTEST_INCLUDES})

set(KONSOLE_TEST_LIBS ${QT_QTTEST_LIBRARY} konsoleprivate)

## If it's interactive, it shouldn't use kde4_add_unit_test,
##  since make test is supposed to be fully automated.

if(NOT WIN32)
kde4_add_executable(PartManualTest TEST PartManualTest.cpp)
target_link_libraries(PartManualTest ${KDE4_KPARTS_LIBS}
                               ${KDE4_KPTY_LIBS}
                               ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(CharacterColorTest CharacterColorTest.cpp)
target_link_libraries(CharacterColorTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(CharacterWidthTest CharacterWidthTest.cpp)
target_link_libraries(CharacterWidthTest ${KONSOLE_TEST_LIBS})

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    kde4_add_unit_test(DBusTest DBusTest.cpp)
    target_link_libraries(DBusTest ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(HistoryTest HistoryTest.cpp ../History.cpp)
set_target_properties(HistoryTest PROPERTIES COMPILE_FLAGS -DKONSOLEPRIVATE_EXPORT=)
target_link_libraries(HistoryTest ${KONSOLE_TEST_LIBS})


kde4_add_unit_test(KeyboardTranslatorTest KeyboardTranslatorTest.cpp ../KeyboardTranslator.cpp)
set_target_properties(KeyboardTranslatorTest PROPERTIES COMPILE_FLAGS -DKONSOLEPRIVATE_EXPORT=)
target_link_libraries(KeyboardTranslatorTest ${KONSOLE_TEST_LIBS})

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" AND NOT WIN32)
    kde4_add_unit_test(PartTest PartTest.cpp)
    target_link_libraries(PartTest ${KDE4_KPARTS_LIBS}
                               ${KDE4_KPTY_LIBS}
                               ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(ProfileTest ProfileTest.cpp)
target_link_libraries(ProfileTest ${KONSOLE_TEST_LIBS})

if(NOT WIN32)
kde4_add_unit_test(PtyTest PtyTest.cpp)
target_link_libraries(PtyTest ${KDE4_KPTY_LIBS} ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(SessionTest SessionTest.cpp)
target_link_libraries(SessionTest ${KONSOLE_TEST_LIBS})

##kde4_add_unit_test(SessionManagerTest SessionManagerTest.cpp)
##target_link_libraries(SessionManagerTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(ShellCommandTest ShellCommandTest.cpp)
target_link_libraries(ShellCommandTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalCharacterDecoderTest
                  TerminalCharacterDecoderTest.cpp)
target_link_libraries(TerminalCharacterDecoderTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalTest TerminalTest.cpp)
target_link_libraries(TerminalTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalInterfaceTest TerminalInterfaceTest.cpp)
target_link_libraries(TerminalInterfaceTest
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KPTY_LIBS}
                      ${KONSOLE_TEST_LIBS})

## konsole4 4.14.2

=== debian/changelog ===
konsole4 (4:4.14.2-4) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Remove konsole.desktop from the installed files. (Closes: 800373) Thanks
    to Ralf Jung.

  [ Pino Toscano ]
  * Remove Ubuntu stuff from control.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Remove unused stuff from rules: BINARY_VERSION_NO_EPOCH variable, and
    dh_auto_configure override.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2016 18:38:57 +0200

konsole4 (4:4.14.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Jul 2015 23:43:32 -0400

konsole4 (4:4.14.2-2) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Keep only the kpart needed by other (kde4) packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Rename the source package to konsole4 in order to let the KF5 version
    be named src:konsole and produce bin:konsole.
  * Do not create bin:konsole anymore from this package. Users will get
    it from the kf5-based src.
    - Remove the dh_gencontrol override for bin:konsole, as we no longer ship
      it.
    - Pass --destdir=debian/tmp to dh_auto_install in order to avoid changing
      the packaging too much.
  * Improve the package description to stress the fact that the kpart
    belongs to KDE 4.
  * Remove Eshat Cakar from Uploaders at his own request. Thanks Eshat
    for your work!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jul 2015 21:34:45 -0300

konsole (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:09 +0200

konsole (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:34 +0200

konsole (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 02:06:51 +0200

konsole (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:15:49 +0200

konsole (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:55 +0100

konsole (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:32:55 +0200

konsole (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:35 +0200

konsole (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop patch hurd.diff, obsolete in konsole >= 4.12.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:34 +0100

konsole (4:4.12.2-1) experimental; urgency=medium

  * Build the unit tests.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:36 +0100

konsole (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:19 +0100

konsole (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 18:18:17 +0200

konsole (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Fix build failure on Hurd; patch hurd.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2013 15:40:20 +0200

konsole (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:25:28 +0200

konsole (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:07:32 +0200

konsole (4:4.10.2-2) experimental; urgency=low

  * Fixup uploaders field

 -- Sune Vuorela <sune@debian.org>  Thu, 04 Apr 2013 07:13:22 +0000

konsole (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
    - Fixes homedir fallback. (Closes: #586030)

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Update patches:
    - drop one_profile_per_window.diff, problem solved upstream.
    - drop upstream_No-need-to-lookup-executable-PATH-when-absolute-path.patch,
      no longer needed.
    - refresh debian-T-addition.diff.
  * Update installed files.
  * Add a lintian override for no-symbols-control-file.

  [ Josep Febrer ]
  * Refresh patch debian-T-addition.diff.
  * Bump kdelibs5-dev and libkonq5-dev to 4:4.10.
  * Update installed files.
  * Pass -DKDE4_BUILD_TESTS=false to cmake in order to keep the tests disabled.

  [ Sune Vuorela ]
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:25:01 +0000

konsole (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Maximiliano Curia ]
  * Reduces vertical misalignment (Closes: #672554)
    - Add drawText-alignBottom.diff, this adds alignBottom flag to the
      bidirectional renderer.
    - Add avoid-lineSpacing.diff, this reverts the added linespacing for the
      unidirectional renderer.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Feb 2013 12:44:09 +0100

konsole (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * konsole-dbg now recommends kdelibs5-dbg.

  [ Pino Toscano ]
  * Backport upstream commit e48cee6cca742a5bdb3daf6fa0b7c76073217faa to avoid


=== debian/control ===
Source: konsole4
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkonq5-dev (>= 4:4.11),
               libphonon-dev (>= 4:4.3.0),
               libxkbfile-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/konsole.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/konsole.git

Package: konsole4-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<= 4:15.04.3~)
Replaces: konsole (<= 4:15.04.3~)
Description: X terminal emulator - KPart 4 plugin
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the KDE 4 based konsole kpart and is part of the
 KDE base applications module.

## konsole4 4.14.3

=== debian/changelog ===
konsole4 (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Add the colorschemes, keybindings and the default konsole profile to
    konsole4-kpart as the kpart needs them
  * Fix VCS URL to point to alioth and remove the now obsolete
    XSBC-Original-Maintainer

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 20 Jan 2015 20:17:09 +0100

konsole4 (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * Add partui.rc and sessionui.rc from the old konsole package to
    konsole4-kpart as the kpart needs them

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 19 Jan 2015 22:27:34 +0100

konsole4 (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Rename to konsole4 to save konsole4-kpart while real konsole becomes
    kf5
  * Drop konsole and debug package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 19:43:46 +0100

konsole (4:4.14.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Harald Sitter ]
  * Split kpart into its own package
    + With konsole5 on the horizon we need to enable the installation of
      the konsole4 kpart alongside the konsole5 package to ensure that
      4.x applications relying on the kpart still have access to it.
    + New package konsole4-kpart
    + konsole depends binary:Version of konsole4-kpart
    + konsole4-kpart contains libkonsolepart.so and libkonsoleprivate.so
      along with the relevant kpart desktop file.
      All other files remain in konsole package.
    + konsole4-kpart breaks and replaces old versions of konsole
    + Once the konsole frameworks 5 port gets released this source should then
      be renamed to konsole4 and loose the konsole package (i.e. only produce
      konsole4-kpart)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:53:49 -0700

konsole (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:26:14 +0200

konsole (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:06 +0200

konsole (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:00:57 +0200

konsole (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:27:45 +0200

konsole (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:21:14 +0200

=== debian/control ===
Source: konsole4
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               libkonq5-dev (>= 4:4.14.2),
               libphonon-dev (>= 4:4.3.0),
               libxkbfile-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/konsole.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/konsole.git

Package: konsole4-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:4.14.2-0ubuntu1~)
Replaces: konsole (<< 4:4.14.2-0ubuntu1~)
Description: X terminal emulator - KPart plugin
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_configure:
	$(overridden_command)

.PHONY: override_dh_auto_test
